import cnn
import parser
import itertools

"""
(c,b,e) will be read from the command line or a script
(c,b,e) corresponds to the combinations of the specific hyperparameters to build the model
c belongs to {0,1,2,3} and represents the layer architecture
b belongs to {0,1} and represents the batch size
e belongs to {0,1} and represents the number of epochs
"""
#reading arguments from command line

#c = int(sys.argv[1])
#b = int(sys.argv[2])
#e = int(sys.argv[3])

#c_ = [0,1,2,3]
c_ = [0] ### to change after defining all of the possibilities
b_ = [0,1]
e_ = [0,1]
n_experiences = 1001
combinations = itertools.product(c_,b_,e_)


#parse the data
input_, output_ = parser.parse_data(n_experiences)

#run an specific combination
max_params = combinations[0]
max_avg_auc = 0

for params in combinations:
    avg_acc, avg_auc = cnn.run_nn(input_, output_, n_experiences, params)
    if avg_auc > max_avg_auc:
        max_avg_auc = avg_auc
        max_params = params


## to do: final kfold with optimal parameters, code to execute in paralel, make sure it's the same random shuffle ...
